> # NAME

> tex2DARRAYlod - 2D texture array lookup with specified level of detail.

> # SYNOPSIS

>       float4 tex2DARRAYlod(sampler2DARRAY samp, float4 s)
>       float4 tex2DARRAYlod(sampler2DARRAY samp, float4 s, int texelOff)

>       int4 tex2DARRAYlod(isampler2DARRAY samp, float4 s)
>       int4 tex2DARRAYlod(isampler2DARRAY samp, float4 s, int texelOff)

>       unsigned int4 tex2DARRAYlod(usampler2DARRAY samp, float4 s)
>       unsigned int4 tex2DARRAYlod(usampler2DARRAY samp, float4 s, int texelOff)

> # PARAMETERS

> samp

>   Sampler array to lookup.

> s.xy

>   Coordinates to perform the lookup.

> s.z

>   Texture array layer.

> s.w

>   Level of detail.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs a texture lookup with a specified level of detail in sampler samp using coordinates s, the texture to be sampled is selected from the layer specified in the coordinates.

> # PROFILE SUPPORT

> tex2DARRAYlod is only supported in gp4 and newer profiles.

> # SEE ALSO

> tex2DARRAY, tex2DARRAYbias